Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryGroup

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_DirectoryObject

                                    |

                                    +--oracle.ifs.server.S_TieDirectoryObject

                                          |

                                          +--oracle.ifs.server.S_DirectoryGroup

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryGroup

public class S_DirectoryGroup
extends S_TieDirectoryObject

An `S_DirectoryGroup` is the server-side representation of a group of users and/or other groups.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`void` | `addMember(S_DirectoryObject member, S_LibraryObjectDefinition sdef)` Adds a member to a group, using a definition to define the membership relationship.
`void` | `addMembers(S_DirectoryObject[] members)` Adds members to the group.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Adds to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs operations before freeing an object.
`S_DirectoryObject[]` | `getAllMembers()` Gets all members of the group.
`boolean` | `isMember(S_DirectoryObject obj)` Determines if the specified DirecotryObject is a member of the group.
`void` | `removeMember(S_DirectoryObject member)` Removes a member from the group.
`void` | `removeMembers(S_DirectoryObject[] members)` Removes members from a group.

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`getAllAncestors, getDirectAncestors, getDirectMembers`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Adds to the S_LibraryObjectDefinition for this class.

  This this called by getDefinition() on S_LibraryObject.

  This must call super.deriveDefinition() before applying any class-specific changes to S_LibraryObjectDefinition.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Performs operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_DirectoryObject`
  Throws:
    `IfsException` - if operation fails.

### addMember

    public void addMember(S_DirectoryObject member,
                          S_LibraryObjectDefinition sdef)
                   throws IfsException

  Adds a member to a group, using a definition to define the membership relationship.
  Parameters:
    `member` - the DirectoryObject to be added to the DirectoryGroup
    `sdef` - the definition to use to create the relationship object
  Throws:
    `IfsException` - if any other aspect of the operation fails.

### addMembers

    public void addMembers(S_DirectoryObject[] members)
                    throws IfsException

  Adds members to the group.
  Parameters:
    `members` - the members to be added to the DirectoryGroup
  Throws:
    `IfsException` - if any other aspect of the operation fails.

### removeMember

    public void removeMember(S_DirectoryObject member)
                      throws IfsException

  Removes a member from the group.
  Parameters:
    `member` - the member to be removed from the group
  Throws:
    `IfsException` - if operation fails

### removeMembers

    public void removeMembers(S_DirectoryObject[] members)
                       throws IfsException

  Removes members from a group.
  Parameters:
    `members` - members to be removed from the DirectoryGroup
  Throws:
    `IfsException` - if any other aspect of the operation fails.

### isMember

    public boolean isMember(S_DirectoryObject obj)
                     throws IfsException

  Determines if the specified DirecotryObject is a member of the group.
  Parameters:
    `id` - a DirectoryObject
  Returns:
    whether the specified DirectoryObject is a member of the group
  Throws:
    `IfsException` - if the operation fails

### getAllMembers

    public S_DirectoryObject[] getAllMembers()
                                      throws IfsException

  Gets all members of the group.
  Overrides:
    `getAllMembers` in class `S_DirectoryObject`
  Returns:
    array of S_DirectoryObject representing group members
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD